Arch Séparer un objet Mesh

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SplitMesh and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch SplitMesh.svg Arch Sépartation d'un objet Mesh

Emplacement du menu
Arch → Utilitaires → Split Mesh
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch SelectNonSolidMeshes


Description

Cet outil sépare les composants d'un objet Mesh sélectionné

Utilisation

  1. Sélectionnez un objet mesh
  2. Cliquez sur le bouton Arch SplitMesh.png Split Mesh dans Arch -> menu Utilitaires

Script

L'outil Split Mesh est utilisable dans une macro et dans la console python en utilisant la fonction suivante :

new_list = splitMesh(obj, mark=True)

Sépare les composants de l'objet maille

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)